use core::arch::global_asm;
global_asm!(include_str!("switch.S"));  // 读入switch.S 到当前代码

use super::context::TaskContext;
extern "C" {
    // 引入 switch.S 中的切换函数
    pub fn __switch(
        current_task_cx_ptr: *mut TaskContext,
        next_task_cx_ptr: *const TaskContext
    );
}
